<?php
/*
  $Id: qtprodoctor.php
  $Loc: catalog/admin/
      
  2020 QTPro 7.4.0 CE Phoenix
  by @raiwa 
  info@oscaddons.com
  www.oscaddons.com

  Copyright (c) 2021 Rainer Schmied
  
  CE Phoenix, E-Commerce made Easy
  https://phoenixcart.org

  Copyright (c) 2021 Phoenix Cart

  Released under the GNU General Public License
*/

  require('includes/application_top.php');
  require('includes/template_top.php');
  
  if ( !defined('PI_QTPRO_OPTIONS_STATUS') && !defined('MODULE_CONTENT_PI_QTPRO_OPTIONS_STATUS') ) {
    echo '<div class="secWarning">' . QTPRO_OPTIONS_WARNING . '<br>
          <a href="modules_content.php?module=cm_pi_qtpro_options&action=install">' . QTPRO_OPTIONS_INSTALL_NOW . '</a></div>';
  }
  if (!file_exists(DIR_FS_CATALOG . 'templates/' . TEMPLATE_SELECTION . '/includes/hooks/shop/siteWide/qtPro.php')) {
    echo '<div class="secWarning"><br>' . QTPRO_ERROR_HOOK . '<br></div>';
  }

  $doctor_action = null;

  if(isset($_GET['action'])){
  	$doctor_action = $_GET['action'];
  }
  
  if(isset($_GET['pID'])){
  	$products_id = $_GET['pID'];
  }
  
?>

  <div class="row">
    <div class="col">
      <h1 class="display-4 mb-2"><?= HEADING_TITLE ?></h1>
    </div>
  </div>
  <div class="col  align-self-center">
    <div class="alert alert-primary" role="alert">
		<?php 
			switch($doctor_action){
				case 'examine':
					if (qtpro_doctor_product_healthy($products_id)) {
						print TEXT_EXAMINE_HEALTHY;
					} else {
						print TEXT_EXAMINE_MESSED;
					}
				break;
				case 'amputate':
					print sprintf(TEXT_AMPUTATE, qtpro_doctor_amputate_bad_from_product($products_id));
					qtpro_update_summary_stock($products_id);
				break;
				case 'chuck_trash':
					print sprintf(TEXT_CHUCK_TRASH, qtpro_chuck_trash());
				break;
				case 'update_summary':
					qtpro_update_summary_stock($products_id);
					print TEXT_UPDATE_SUMMARY;
				break;
				
				default:
					print '<h1>' . PAGE_HEADING . '</h1>';
					print sprintf(TEXT_PRODUCT_COUNT, qtpro_normal_product_count());
					print sprintf(TEXT_PRODUCT_TRACKED_STOCK, qtpro_tracked_product_count());
					print sprintf(TEXT_PRODUCT_TRASH_ROWS, qtpro_number_of_trash_stock_rows());
					print sprintf(TEXT_PRODUCT_SICK, qtpro_sick_product_count());
					qtpro_doctor_formulate_database_investigation();					
				break;			
			}
      ?>
    </div>
  </div>

<?php
  require('includes/template_bottom.php');
  require('includes/application_bottom.php');
?>