<?php
/*
  QTpro
  Version 7.4.0 Phoenix

  by @raiwa
  info@oscaddons.com
  www.oscaddons.com

  Copyright (c) 2021 Rainer Schmied

  CE Phoenix, E-Commerce made Easy
  https://phoenixcart.org

  Copyright (c) 2021 Phoenix Cart

  Released under the GNU General Public License
*/

class hook_admin_products_attributes_paQtPro {

  public $version = '7.4.0';

  function listen_addProductOptionsAction() {
    if ( (defined('PI_QTPRO_OPTIONS_STATUS') && PI_QTPRO_OPTIONS_STATUS == 'True') || (defined('MODULE_CONTENT_PI_QTPRO_OPTIONS_STATUS') && MODULE_CONTENT_PI_QTPRO_OPTIONS_STATUS == 'True') ) {
      $track_stock = $_POST['track_stock'] ?? 0;
      $GLOBALS['db']->query(sprintf(<<<'EOSQL'
UPDATE products_options
SET products_options_track_stock = %s
WHERE products_options_id = %s
EOSQL
      , (int)$track_stock, (int)$GLOBALS['products_options_id']));
    }
  }

  function listen_updateOptionNameAction() {
    if ( (defined('PI_QTPRO_OPTIONS_STATUS') && PI_QTPRO_OPTIONS_STATUS == 'True') || (defined('MODULE_CONTENT_PI_QTPRO_OPTIONS_STATUS') && MODULE_CONTENT_PI_QTPRO_OPTIONS_STATUS == 'True') ) {
      $track_stock = $_POST['track_stock'] ?? 0;
      $GLOBALS['db']->query(sprintf(<<<'EOSQL'
UPDATE products_options
SET products_options_track_stock =  %s
WHERE products_options_id = %s
EOSQL
      , (int)$track_stock, (int)$GLOBALS['option_id']));
    }
  }

  function listen_injectSiteEnd() {
    global $product_investigation;

    $output = '';

    if ('delete_product_option' !== $GLOBALS['action']) {
      $options_values = $GLOBALS['options_query']->data_seek(0);

      $output = PHP_EOL . <<<EOD
<script>
$(function() {
EOD;

      $header_title_qtpro = HOOK_SWQTPRO_TRACK_STOCK;

      $output .= PHP_EOL . <<<EOD
$('table:eq(1) thead tr th:nth-child(2)').after('<th>{$header_title_qtpro}</th>');
EOD;
      $row_id = 0;
      while ($options_values = $GLOBALS['options_query']->fetch_assoc()) {
        $options_id = $options_values['products_options_id'];
        $option_page = $GLOBALS['option_page'];
        if (('update_option' === $GLOBALS['action']) && ($_GET['option_id'] == $options_values['products_options_id'])) {
          $track_stock_input = '<div class="col-2 custom-control custom-switch d-flex align-items-center justify-content-end">';
          $track_stock_checkbox = new Tickable('track_stock', ['value' => 1, 'class' => 'custom-control-input', 'id' => 'track_stock', 'checkbox']);
          if ($options_values['products_options_track_stock']) $track_stock_checkbox->tick();
          $track_stock_input .= $track_stock_checkbox;
          $track_stock_input .= '<label for="track_stock" class="custom-control-label text-muted"><small>' . 'track stock' . '&nbsp;</small></label>';
          $track_stock_input .= '</div>';

          $output .= PHP_EOL . <<<EOD
$('table:eq(1) tbody tr td input[name="option_id"][value={$options_id}]').closest('div').attr('class', 'col-4').next('div').after('{$track_stock_input}');
$('table:eq(1) tbody tr td div .col-6').toggleClass('col-6 col-4');
$('table:eq(1) tbody tr td[colspan=3]').attr('colspan', '4');
EOD;
        } else {
          $track_stock = '<td>' . ($options_values['products_options_track_stock'] != 0 ? '<i class="fas fa-check-circle text-success"></i>' : '<i class="fas fa-times-circle text-muted"></i>' ) . '</td>';

          $output .= PHP_EOL . <<<EOD
$('table:eq(1) tbody tr:eq({$row_id}) td:nth-child(2)').after('{$track_stock}');
EOD;
        }

        $row_id ++;

      }
    }

    if ( $GLOBALS['action'] != 'update_option' ) {
      $track_stock_input = '<div class="col-2 custom-control custom-switch d-flex align-items-center justify-content-end">';
      $track_stock_input .= new Tickable('track_stock', ['value' => 1, 'class' => 'custom-control-input', 'id' => 'track_stock', 'checkbox']);
      $track_stock_input .= '<label for="track_stock" class="custom-control-label text-muted"><small>' . 'track stock' . '&nbsp;</small></label>';
      $track_stock_input .= '</div>';

      $output .= PHP_EOL . <<<EOD
$('table:eq(1) tbody tr td .form-row button').closest('div').before('{$track_stock_input}');
$('table:eq(1) tbody tr td div .col-6').toggleClass('col-6 col-4');
$('table:eq(1) tbody tr td[colspan=3]').attr('colspan', '4');
EOD;
    }
    $output .= PHP_EOL . <<<EOD
});
</script>
EOD;

    return $output;
  }

}
