<?php
/*
  $Id$

  Modified for:
  QTpro
  QTPro 7.4.0 Phoenix
  by @raiwa 
  info@oscaddons.com
  www.oscaddons.com

  CE Phoenix, E-Commerce made Easy
  https://phoenixcart.org

  Copyright (c) 2021 Phoenix Cart

  Released under the GNU General Public License
*/
	
  namespace Phoenix\Actions;

  class add_product {

    public static function execute() {
      if (isset($_POST['products_id'])) {
        $pid = (int)$_POST['products_id'];
//++++ QT Pro: Begin Changed code
        $attributes = [];
        if ( isset($_POST['attrcomb']) && (preg_match("/^\d{1,10}-\d{1,10}(,\d{1,10}-\d{1,10})*$/", $_POST['attrcomb'])) ) {
          $attrlist = explode(',', $_POST['attrcomb']);
          foreach ($attrlist as $attr) {
            list($oid, $oval) = explode('-',$attr);
            if ( is_numeric($oid) && $oid == (int)$oid && is_numeric($oval) && $oval==(int)$oval ) {
              $attributes[$oid] = $oval;
            }
          }
        }
        if ( isset($_POST['id']) && is_array($_POST['id']) ) {
          foreach ($_POST['id'] as $key => $val) {
            if (is_numeric($key) && $key == (int)$key && is_numeric($val) && $val==(int)$val ) {
              $attributes = $attributes + $_POST['id'];
            }
          }
        }
//++++ QT Pro: End Changed Code

        $qty = empty($_POST['qty']) ? 1 : (int)$_POST['qty'];

        $_SESSION['cart']->add_cart(
          $_POST['products_id'],
          $_SESSION['cart']->get_quantity(\Product::build_uprid($pid, $attributes))+$qty,
          $attributes);

        $GLOBALS['messageStack']->add_session(
          'product_action',
          sprintf(PRODUCT_ADDED, \Product::fetch_name($pid)),
          'success');
      }

      \Href::redirect(\Guarantor::ensure_global('Linker')
        ->build($GLOBALS['goto'])
        ->retain_query_except($GLOBALS['parameters']));
    }

  }
