<div class="col-sm-<?php echo $content_width; ?> cm-pi-qtpro_table">
  <h4><?= MODULE_CONTENT_PI_QTPRO_TABLE_HEADING ?></h4>
  
  <table class="table table-striped table-bordered table-condensed">
    <thead>
      <tr>
<?php
      foreach ($attributes as $attribute) {
?>
        <th class="text-center"><?= $attribute['name'] ?></th>
<?php
      }
?>
        <th class="text-center"><?= MODULE_CONTENT_PI_QTPRO_TABLE_PRICE ?></th>
        <th class="text-center"><?= MODULE_CONTENT_PI_QTPRO_TABLE_STOCK ?></th>
      </tr>
    </thead>
    <tbody>
<?php
      foreach ($table_body as $table_row) {
?>
        <tr>
<?php
        foreach ($table_row['names'] as $name) {
?>
          <td class="text-center"><?= $name ?></td>
<?php
        }
?>
          <td class="text-center"><?= $table_row['price'] ?></td>
          <td class="text-center"><?= $table_row['stock'] ?></td>
        </tr>
<?php
      }
?>
    </tbody>
  </table>

</div>

<?php
/*
  $Id$

  QTpro
  Version 7.4.2 Phoenix

  by @raiwa
  info@oscaddons.com
  www.oscaddons.com

  Copyright (c) 2021 Rainer Schmied

  CE Phoenix, E-Commerce made Easy
  https://phoenixcart.org

  Copyright (c) 2021 Phoenix Cart

  Released under the GNU General Public License
*/
