<div class="col-sm-<?= (int)MODULE_CONTENT_SC_PRODUCT_LISTING_CONTENT_WIDTH ?> cm-sc-product-listing">
  <?= $form ?>
  <div class="table-responsive">
    <table class="table mb-0">
      <thead class="thead-light">
        <tr>
          <th class="d-none d-md-table-cell">&nbsp;</th>
          <th><?= MODULE_CONTENT_SC_PRODUCT_LISTING_HEADING_PRODUCT ?></th>
          <th><?= MODULE_CONTENT_SC_PRODUCT_LISTING_HEADING_AVAILABILITY ?></th>
          <th><?= MODULE_CONTENT_SC_PRODUCT_LISTING_HEADING_QUANTITY ?></th>
          <th class="text-right"><?= MODULE_CONTENT_SC_PRODUCT_LISTING_HEADING_PRICE ?></th>
        </tr>
      </thead>
      <tbody>
        <?php
  foreach ($products as $product) {
    echo '<tr>';
    echo '<td class="d-none d-md-table-cell"><a href="', $product->get('link'), '">',
         new Image('images/' . $product->get('image'), [], htmlspecialchars($product->get('name')), SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT),
         '</a></td>';
    echo '<th><a href="', $product->get('link'), '">', $product->get('name'), '</a>';
    $attributes = $product->get('attributes');
    foreach (($product->get('attribute_selections') ?? []) as $option => $value) {
      echo '<small><br><i> - ', $attributes[$option]['name'], ' ', $attributes[$option]['values'][$value]['name'], '</i></small>';
    }
    echo '</th>';

// QtPro BEGIN
    if (STOCK_CHECK == 'true') {
      if ( $product->get('has_attributes') ) {
        $stock_check = $GLOBALS['hook_shop_siteWide_qtPro']->check_stock_qtpro($product);
      } else {
        $stock_check = $product->lacks_stock();
      }
      if ($stock_check) {
        $GLOBALS['any_out_of_stock'] = true;

        echo '<td><span class="text-danger"><b>' . STOCK_MARK_PRODUCT_OUT_OF_STOCK . '</b></span></td>';
      } else {
        echo '<td>' . MODULE_CONTENT_SC_PRODUCT_LISTING_TEXT_IN_STOCK . '</td>';
      }
    } else {
      echo '<td>' . MODULE_CONTENT_SC_PRODUCT_LISTING_TEXT_IN_STOCK . '</td>';
    }
  // QtPro END

    echo '<td>';
    echo '<div class="input-group">';
    echo new Input('cart_quantity[]', ['value' => $product->get('quantity'), 'style' => 'width: 65px;', 'min' => '0'], 'number');
    echo new Input('products_id[]', ['value' => $product->get('uprid')], 'hidden');
    echo '<div class="input-group-append">', new Button(MODULE_CONTENT_SC_PRODUCT_LISTING_TEXT_BUTTON_UPDATE, '', 'btn-info'), '</div>';
    echo '<div class="input-group-append">',
         new Button(MODULE_CONTENT_SC_PRODUCT_LISTING_TEXT_BUTTON_REMOVE, '', 'btn-danger', [], $GLOBALS['Linker']->build('shopping_cart.php', ['action' => 'remove_product', 'products_id' => $product->get('uprid')])),
         '</div>';
    echo '</div>';
    echo '</td>';
    echo '<td class="text-right">', $product->format('final_price', $product->get('quantity')), '</td>';
    echo '</tr>';
  }
?>
      </tbody>
    </table>
  </div>
  </form>
  <hr class="mt-0">
</div>	

<?php
/*
  $Id$

  QTpro
  Version 7.4.0 Phoenix

  by @raiwa
  info@oscaddons.com
  www.oscaddons.com

  Copyright (c) 2021 Rainer Schmied

  CE Phoenix, E-Commerce made Easy
  https://phoenixcart.org

  Copyright (c) 2021 Phoenix Cart

  Released under the GNU General Public License
*/
